Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CXHeaderCtrl Class Reference

`#include <XHeaderCtrl.h>`

List of all members.

## Public Member Functions
| CXHeaderCtrl ()
virtual | ~CXHeaderCtrl ()
BOOL | ModifyProperty (WPARAM wParam, LPARAM lParam)
int | GetSpacing ()
void | SetSpacing (int nSpacing)
virtual void | DrawItem (LPDRAWITEMSTRUCT)
virtual void | DrawItem (CDC *pDC, CRect rect, LPHDITEM lphdi)
## Protected Member Functions
void | DrawCtrl (CDC *pDC)
int | DrawImage (CDC *pDC, CRect rect, LPHDITEM hdi, BOOL bRight)
int | DrawBitmap (CDC *pDC, CRect rect, LPHDITEM hdi, CBitmap *pBitmap, BITMAP *pBitmapInfo, BOOL bRight)
int | DrawText (CDC *pDC, CRect rect, LPHDITEM lphdi)
afx_msg LRESULT | OnDeleteItem (WPARAM wparam, LPARAM lparam)
afx_msg LRESULT | OnInsertItem (WPARAM wparam, LPARAM lparam)
afx_msg LRESULT | OnLayout (WPARAM wparam, LPARAM lparam)
afx_msg LRESULT | OnSetImageList (WPARAM wparam, LPARAM lparam)
afx_msg BOOL | OnEraseBkgnd (CDC *pDC)
afx_msg void | OnPaint ()
afx_msg void | OnSysColorChange ()
## Protected Attributes
BOOL | m_bDoubleBuffer
int | m_iSpacing
SIZE | m_sizeImage
SIZE | m_sizeArrow
BOOL | m_bStaticBorder
UINT | m_nDontDropCursor
BOOL | m_bResizing
UINT | m_nClickFlags
CPoint | m_ptClickPoint
COLORREF | m_cr3DHighLight
COLORREF | m_cr3DShadow
COLORREF | m_cr3DFace
COLORREF | m_crBtnText

## Constructor & Destructor Documentation

CXHeaderCtrl::CXHeaderCtrl | ( |  | ) |

CXHeaderCtrl::~CXHeaderCtrl | ( |  | ) | `[virtual]`

## Member Function Documentation

int CXHeaderCtrl::DrawBitmap | ( | CDC * | pDC,
|  | CRect | rect,
|  | LPHDITEM | hdi,
|  | CBitmap * | pBitmap,
|  | BITMAP * | pBitmapInfo,
|  | BOOL | bRight
| ) | `[protected]`

void CXHeaderCtrl::DrawCtrl | ( | CDC * | pDC | ) | `[protected]`

int CXHeaderCtrl::DrawImage | ( | CDC * | pDC,
|  | CRect | rect,
|  | LPHDITEM | hdi,
|  | BOOL | bRight
| ) | `[protected]`

void CXHeaderCtrl::DrawItem | ( | CDC * | pDC,
|  | CRect | rect,
|  | LPHDITEM | lphdi
| ) | `[virtual]`

void CXHeaderCtrl::DrawItem | ( | LPDRAWITEMSTRUCT |  | ) | `[virtual]`

int CXHeaderCtrl::DrawText | ( | CDC * | pDC,
|  | CRect | rect,
|  | LPHDITEM | lphdi
| ) | `[protected]`

int CXHeaderCtrl::GetSpacing | ( |  | ) | `[inline]`

BOOL CXHeaderCtrl::ModifyProperty | ( | WPARAM | wParam,
|  | LPARAM | lParam
| ) |

LRESULT CXHeaderCtrl::OnDeleteItem | ( | WPARAM | wparam,
|  | LPARAM | lparam
| ) | `[protected]`

BOOL CXHeaderCtrl::OnEraseBkgnd | ( | CDC * | pDC | ) | `[protected]`

LRESULT CXHeaderCtrl::OnInsertItem | ( | WPARAM | wparam,
|  | LPARAM | lparam
| ) | `[protected]`

LRESULT CXHeaderCtrl::OnLayout | ( | WPARAM | wparam,
|  | LPARAM | lparam
| ) | `[protected]`

void CXHeaderCtrl::OnPaint | ( |  | ) | `[protected]`

LRESULT CXHeaderCtrl::OnSetImageList | ( | WPARAM | wparam,
|  | LPARAM | lparam
| ) | `[protected]`

void CXHeaderCtrl::OnSysColorChange | ( |  | ) | `[protected]`

void CXHeaderCtrl::SetSpacing | ( | int | nSpacing | ) | `[inline]`

## Member Data Documentation

BOOL CXHeaderCtrl::m_bDoubleBuffer`[protected]`

BOOL CXHeaderCtrl::m_bResizing`[protected]`

BOOL CXHeaderCtrl::m_bStaticBorder`[protected]`

COLORREF CXHeaderCtrl::m_cr3DFace`[protected]`

COLORREF CXHeaderCtrl::m_cr3DHighLight`[protected]`

COLORREF CXHeaderCtrl::m_cr3DShadow`[protected]`

COLORREF CXHeaderCtrl::m_crBtnText`[protected]`

int CXHeaderCtrl::m_iSpacing`[protected]`

UINT CXHeaderCtrl::m_nClickFlags`[protected]`

UINT CXHeaderCtrl::m_nDontDropCursor`[protected]`

CPoint CXHeaderCtrl::m_ptClickPoint`[protected]`

SIZE CXHeaderCtrl::m_sizeArrow`[protected]`

SIZE CXHeaderCtrl::m_sizeImage`[protected]`

The documentation for this class was generated from the following files:

- XHeaderCtrl.h
- XHeaderCtrl.cpp